var AppDispatcher = require('../dispatcher/appDispatcher');
var ItemDetailsConstants = require('../constants/itemDetailsConstants');

// Define action methods
var ItemDetailsActions = {


  loadItemWithDetails: function() {
     AppDispatcher.handleAction({
      actionType: ItemDetailsConstants.LOAD_ITEM_WITH_DETAILS
    })
  },

  nextCarouselImage: function() {
  	 AppDispatcher.handleAction({
      actionType: ItemDetailsConstants.NEXT_CAROUSEL_IMAGE
    })
  },

  previousCarouselImage: function() {
  	 AppDispatcher.handleAction({
      actionType: ItemDetailsConstants.PREVIOUS_CAROUSEL_IMAGE
    })
  },

  selectCarouselImage: function(index) {
  	 AppDispatcher.handleAction({
      actionType: ItemDetailsConstants.SELECT_CAROUSEL_IMAGE,
      index: index
    })
  }


};

module.exports = ItemDetailsActions; 